CreddotDocsCreddot Docs

Get a bill payment and its token

GET
/api/v1/bills/{id}

Authorization

api-key
headerx-api-key<token>

Your API key: ck_test_... for test mode, ck_live_... for live. Send it with x-api-secret (or Authorization: Bearer ).

Path Parameters

id*string

Header Parameters

x-api-secret?string

Recommended: API secret sent over HTTPS. You may send it as Authorization: Bearer instead. If supplied, x-timestamp and x-signature are not required.

x-timestamp?string

Legacy signed mode: Unix time in milliseconds; maximum clock skew five minutes.

x-signature?string

Legacy signed mode: HMAC-SHA256(secret, timestamp.METHOD.url.idempotencyKey.bodyHash).

Response Body

application/json
  1. response
id*string
transactionId*string
reference*string
status*string
Value in"PENDING""PROCESSING""SUCCESS""FAILED"
amountMinor*string
currency*string
environment*string
Value in"SANDBOX""LIVE"
provider*string
Value in"VTPASS""FLUTTERWAVE"
category*string
serviceCode*string
productCode?
customerIdMasked*string
providerReference?
token?

Electricity/recharge token when supplied by the provider. Returned on the first successful response and authenticated detail reads.

requiresReconciliation*boolean
createdAt*string
Formatdate-time
updatedAt*string
Formatdate-time
Example Request
curl -X GET 'https://api.creddot.com/api/v1/bills/string'
Example Response
{  "id": "string",  "transactionId": "string",  "reference": "string",  "status": "PENDING",  "amountMinor": "string",  "currency": "string",  "environment": "SANDBOX",  "provider": "VTPASS",  "category": "string",  "serviceCode": "string",  "productCode": {},  "customerIdMasked": "string",  "providerReference": {},  "token": {},  "requiresReconciliation": true,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}